Subject: IETF NomCom Changes Discussion

From: IETF Chair <[email-masked]>
Date: Wed, 1 Apr 2009 08:28:17 -0700 (PDT)

Several changes to the NomCom process were discussed during the plenary
session last Wednesday.  The minutes have been posted so that anyone that
was not at the plenary session can catch up.  The minutes can be found
here:

    http://www.ietf.org/proceedings/09mar/minutes/plenaryw.txt

The discussion will continue on the [email-masked] mail list.

Thanks,
  Russ